MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026435Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-14 17:522016-04-20 15:48
Reportervpa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026435: Visualization - V3d_View::ConvertToGrid returns wrong coordinates for non-orthogonal projection
DescriptionV3d_View::ConvertToGrid function returns incorrect coordinates in case if grid is displayed in axo view and grid echo functionality is broken.
Steps To Reproducebugs/vis/bug26435

pload ALL
vinit
vgrid r l 0 0 5 5 0
vconvert 200 200 grid
vpoint p1 coords_from_vconvert_output_1
# the point p1 does not lie on the grid

vtop
vconvert 200 200 grid
vpoint p2 coords_from_vconvert_output_2
vaxo
# the point p2 was projected correctly and lies on the grid
TagsNo tags attached.
Test case numberbugs vis bug26435
Attached Files

- Relationships
related to 0025672closedbugmaster Community V3d_View::ConvertToGrid doesn't work for grid if the grid plane's origin is not identical to camera origin. 

-  Notes
(0043076)
git (administrator)
2015-07-15 16:33

Branch CR26435 has been created by apl.

SHA-1: b166327311654c7d94abb2b2ac0818f75c3ec6e6


Detailed log of new commits:

Author: apl
Date: Tue Jul 14 20:21:24 2015 +0300

    0026435: Visualization - V3d_View::ConvertToGrid returns wrong coordinates for non-orthogonal projection
(0043077)
apl (developer)
2015-07-15 16:35

Dear Kirill,

Patch is ready for review in branch CR26435.
(0043078)
kgv (developer)
2015-07-15 16:52

Please test the patch.
(0043198)
apv (tester)
2015-07-20 18:00

Dear BugMaster,

Branch CR26435 from occt git-repository (and IR-2015-07-09 from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: b166327311654c7d94abb2b2ac0818f75c3ec6e6

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26435 - OK
http://occt-tests/CR26435-IR-2015-07-09-occt-64/Debian70-64/bugs/vis/bug26435.html [^]
http://occt-tests/CR26435-IR-2015-07-09-occt-64/Windows-64-VC10/bugs/vis/bug26435.html [^]

Testing on Linux:
Total MEMORY difference: 96941517 / 96676633 [+0.27%]
Total CPU difference: 17531.559999999783 / 17386.629999999706 [+0.83%]

Testing on Windows:
Total MEMORY difference: 56447364 / 56523381 [-0.13%]
Total CPU difference: 15966.998751898742 / 15972.302785898928 [-0.03%]
(0043532)
git (administrator)
2015-07-27 13:39

Branch CR26435 has been deleted by kgv.

SHA-1: b166327311654c7d94abb2b2ac0818f75c3ec6e6

- Related Changesets
occt: master aacbabe1
Timestamp: 2015-07-14 17:21:24
Author: apl
Committer: bugmaster
Details ] Diff ]
0026435: Visualization - V3d_View::ConvertToGrid returns wrong coordinates for non-orthogonal projection
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
add - tests/bugs/vis/bug26435 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-14 17:52 vpa New Issue
2015-07-14 17:52 vpa Assigned To => kgv
2015-07-14 17:55 vpa Assigned To kgv => apl
2015-07-14 17:55 vpa Status new => assigned
2015-07-14 18:12 kgv Relationship added related to 0025672
2015-07-14 19:06 apl Summary Visualization - V3d_View::ConvertToGrid returns wrong coordinates => Visualization - V3d_View::ConvertToGrid returns wrong coordinates for non-orthogonal projection
2015-07-15 16:33 git Note Added: 0043076
2015-07-15 16:35 apl Note Added: 0043077
2015-07-15 16:35 apl Assigned To apl => kgv
2015-07-15 16:35 apl Status assigned => resolved
2015-07-15 16:35 apl Steps to Reproduce Updated View Revisions
2015-07-15 16:52 kgv Note Added: 0043078
2015-07-15 16:52 kgv Assigned To kgv => bugmaster
2015-07-15 16:52 kgv Status resolved => reviewed
2015-07-16 17:07 apv Assigned To bugmaster => apv
2015-07-20 16:26 apv Test case number => bugs vis bug26435
2015-07-20 18:00 apv Note Added: 0043198
2015-07-20 18:00 apv Assigned To apv => bugmaster
2015-07-20 18:00 apv Status reviewed => tested
2015-07-23 11:55 bugmaster Changeset attached => occt master aacbabe1
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043532
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker